/**
 * This file is part of the dcrypt project.
 *
 * Copyright: Copyright (C) dcrypt contributors 2008. All rights reserved.
 * License:   MIT
 * Authors:   Thomas Dixon
 */

module dcrypt.crypto.StreamCipher;

public import dcrypt.crypto.SymmetricCipher;
public import dcrypt.crypto.params.CipherParameters;
public import dcrypt.crypto.params.SymmetricKey;

/** Interface for a standard stream cipher. */
abstract class StreamCipher : SymmetricCipher {   
    /**
     * Process one byte of input.
     *
     * Params:
     *     input = Byte to XOR with keystream.
     *
     * Returns: One byte of input XORed with the keystream.
     */
    ubyte returnByte(ubyte input);
}
